MirrorBuilder Class

class NXOpen.Features.MirrorBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.Mirror builder.

Inputs to this class can be convergent objects.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateMirrorBuilder()

Default values.

Property Value
CsysMirrorOption MirrorYAndZ
MaintainHelixHandedness True
MaintainThreadHandedness True
PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value 2
PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType Offset
PatternService.AlongPathDefinition.XPathOption Offset
PatternService.AlongPathDefinition.YDirectionOption Section
PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value 1
PatternService.AlongPathDefinition.YPathOption Offset
PatternService.AlongPathDefinition.YSpacing.NCopies.Value 1
PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value 10 (millimeters part), 1 (inches part)
PatternService.AlongPathDefinition.YSpacing.SpaceType Offset
PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value 100 (millimeters part), 10 (inches part)
PatternService.CircularDefinition.AngularSpacing.NCopies.Value 12
PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value 30
PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value 10 (millimeters part), 1 (inches part)
PatternService.CircularDefinition.AngularSpacing.SpaceType Offset
PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value 360 (millimeters part), 360 (inches part)
PatternService.CircularDefinition.AngularSpacing.UsePitchOption Angle
PatternService.CircularDefinition.CreateLastStaggered true
PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value 0 (millimeters part), 0 (inches part)
PatternService.CircularDefinition.IncludeSeedToggle true
PatternService.CircularDefinition.RadialSpacing.NCopies.Value 1
PatternService.CircularDefinition.StaggerType None
PatternService.HelixDefinition.AnglePitch.Value 30
PatternService.HelixDefinition.CountOfInstances.Value 6
PatternService.HelixDefinition.DirectionType Righthand
PatternService.HelixDefinition.DistancePitch.Value 10 (millimeters part), 0.4 (inches part)
PatternService.HelixDefinition.HelixPitch.Value 50 (millimeters part), 2 (inches part)
PatternService.HelixDefinition.HelixSpan.Value 100 (millimeters part), 4 (inches part)
PatternService.HelixDefinition.NumberOfTurns.Value 2
PatternService.HelixDefinition.SizeOption CountAngleDistance
PatternService.PatternFill.FillMargin.Value 0 (millimeters part), 0 (inches part)
PatternService.PatternFill.FillOptions None
PatternService.PatternFill.SimplifiedBoundaryToggle False
PatternService.PatternOrientation.AlongOrientationOption NormalToPath
PatternService.PatternOrientation.CircularOrientationOption FollowPattern
PatternService.PatternOrientation.FollowFaceProjDirOption PatternPlaneNormal
PatternService.PatternOrientation.GeneralOrientationOption Fixed
PatternService.PatternOrientation.HelixOrientationOption FollowPattern
PatternService.PatternOrientation.LinearOrientationOption Fixed
PatternService.PatternOrientation.MirrorOrientationOption FollowPattern
PatternService.PatternOrientation.OrientationOption Fixed
PatternService.PatternOrientation.PolygonOrientationOption FollowPattern
PatternService.PatternOrientation.SpiralOrientationOption FollowPattern
PatternService.PatternType Linear
PatternService.PolygonDefinition.NumberOfSides.Value 6
PatternService.PolygonDefinition.PolygonSizeOption Inscribed
PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value 4
PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value 25 (millimeters part), 1 (inches part)
PatternService.PolygonDefinition.PolygonSpacing.SpaceType Offset
PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value 360
PatternService.PolygonDefinition.RadialSpacing.NCopies.Value 1
PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value 25 (millimeters part), 1 (inches part)
PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value 100 (millimeters part), 4 (inches part)
PatternService.RectangularDefinition.CreateLastStaggered true
PatternService.RectangularDefinition.SimplifiedLayoutType Square
PatternService.RectangularDefinition.StaggerType None
PatternService.RectangularDefinition.XSpacing.NCopies.Value 2
PatternService.RectangularDefinition.YSpacing.NCopies.Value 1
PatternService.SpiralDefinition.DirectionType Lefthand
PatternService.SpiralDefinition.NumberOfTurns.Value 1 (millimeters part), 1 (inches part)
PatternService.SpiralDefinition.RadialPitch.Value 50 (millimeters part), 2 (inches part)
PatternService.SpiralDefinition.SizeSpiralType NumberOfTurns
PatternService.SpiralDefinition.TotalAngle.Value 360 (millimeters part), 360 (inches part)
UseInferredReferencePoint (deprecated) True

New in version NX8.0.1.

Properties

Property Description
CsysMirrorOption Returns or sets the Coordinate System mirroring option
FeatureList Returns the Features to Mirror
MaintainHelixHandedness Returns or sets the option to maintain Helix feature handedness.
MaintainThreadHandedness Returns or sets the option to maintain symbolic thread handedness.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PatternService Returns the NXOpen.GeometricUtilities.PatternDefinition object
ReferencePoint Returns or sets the reference point
ReferencePointService Returns the reference point service
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
UseInferredReferencePoint Returns or sets a flag to indicate whether to use reference point inferred from selected feature(s) or not.

Methods

Method Description
ClearReferencesToReuse Clears all the existing references to reuse so that new references can be added
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetReferencesToReuse Sets the references or selections from the input features which are to be reused for mirror.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

MirrorBuilderCsysMirrorOptions Enumeration the Coordinate System mirror options

Property Detail

CsysMirrorOption

MirrorBuilder.CsysMirrorOption

Returns or sets the Coordinate System mirroring option

-------------------------------------

Getter Method

Signature CsysMirrorOption

Returns:
Return type:NXOpen.Features.MirrorBuilderCsysMirrorOptions

New in version NX8.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature CsysMirrorOption

Parameters:csysOption (NXOpen.Features.MirrorBuilderCsysMirrorOptions) –

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

FeatureList

MirrorBuilder.FeatureList

Returns the Features to Mirror

-------------------------------------

Getter Method

Signature FeatureList

Returns:
Return type:NXOpen.Features.SelectFeatureList

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

MaintainHelixHandedness

MirrorBuilder.MaintainHelixHandedness

Returns or sets the option to maintain Helix feature handedness.

If ‘true’, right-handed Helix will be mirrored as right-handed, and left-handed Helix will be mirrored as left-handed. If ‘false’, right-handed Helix will be mirrored as left-handed, and left-handed Helix will be mirrored as right-handed.

-------------------------------------

Getter Method

Signature MaintainHelixHandedness

Returns:
Return type:bool

New in version NX8.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature MaintainHelixHandedness

Parameters:maintainHelixHandedness (bool) –

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

MaintainThreadHandedness

MirrorBuilder.MaintainThreadHandedness

Returns or sets the option to maintain symbolic thread handedness.

If ‘true’, right-handed threads will be mirrored as right-handed, and left-handed threads will be mirrored as left-handed. If ‘false’, right-handed threads will be mirrored as left-handed, and left-handed threads will be mirrored as right-handed.

-------------------------------------

Getter Method

Signature MaintainThreadHandedness

Returns:
Return type:bool

New in version NX8.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature MaintainThreadHandedness

Parameters:maintainThreadHandedness (bool) –

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

PatternService

MirrorBuilder.PatternService

Returns the NXOpen.GeometricUtilities.PatternDefinition object

-------------------------------------

Getter Method

Signature PatternService

Returns:
Return type:NXOpen.GeometricUtilities.PatternDefinition

New in version NX8.0.1.

License requirements: None.

ReferencePoint

MirrorBuilder.ReferencePoint

Returns or sets the reference point

-------------------------------------

Getter Method

Signature ReferencePoint

Returns:
Return type:NXOpen.Point

New in version NX8.0.1.

Deprecated since version NX9.0.0: Use GeometricUtilities.PatternReferencePointServiceBuilder.Point() instead.

License requirements: None.

-------------------------------------

Setter Method

Signature ReferencePoint

Parameters:referencePoint (NXOpen.Point) –

New in version NX8.0.1.

Deprecated since version NX9.0.0: Use GeometricUtilities.PatternReferencePointServiceBuilder.Point() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

ReferencePointService

MirrorBuilder.ReferencePointService

Returns the reference point service

-------------------------------------

Getter Method

Signature ReferencePointService

Returns:
Return type:NXOpen.GeometricUtilities.PatternReferencePointServiceBuilder

New in version NX9.0.0.

License requirements: None.

UseInferredReferencePoint

MirrorBuilder.UseInferredReferencePoint

Returns or sets a flag to indicate whether to use reference point inferred from selected feature(s) or not.

If ‘true’, the reference point will be inferred every time the selected feature(s) get modified or updates. If ‘false, the reference point provided will be independent of the selected feature(s) but will be associative to the rule by which it was created (e.g. End of Line, Center of Arc).

-------------------------------------

Getter Method

Signature UseInferredReferencePoint

Returns:
Return type:bool

New in version NX8.0.1.

Deprecated since version NX9.0.0: Use GeometricUtilities.PatternReferencePointServiceBuilder.IsReferencePointInferred() instead.

License requirements: None.

-------------------------------------

Setter Method

Signature UseInferredReferencePoint

Parameters:useInferredReferencePoint (bool) –

New in version NX8.0.1.

Deprecated since version NX9.0.0: Use GeometricUtilities.PatternReferencePointServiceBuilder.ReferencePointInferred() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

ClearReferencesToReuse

MirrorBuilder.ClearReferencesToReuse

Clears all the existing references to reuse so that new references can be added

Signature ClearReferencesToReuse()

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetReferencesToReuse

MirrorBuilder.SetReferencesToReuse

Sets the references or selections from the input features which are to be reused for mirror.

The references for reuse should belong to some input feature which needs to be specified while calling this API.

Signature SetReferencesToReuse(inputFeature, referencesFromInputFeatures)

Parameters:

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

MirrorBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.